--- title: "Add Quarantine Zone" slug: "add-quarantine-zone" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:38:58Z published: 2026-09-23T09:38:58Z canonical: "docs.trellix.com/add-quarantine-zone" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Add Quarantine Zone This URL adds a quarantine zone at given domain. ## Resource URL POST /domain//quarantineZone ## Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | domainId | Domain id | Number | Yes | Payload Request Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | quarantineZoneName | Name of quarantine zone | String | Yes | | quarantineZoneDescription | Description of quarantine zone | String | Yes | | visibleToChild | Is quarantine zone visible to child domain | Boolean | Yes | | rules | List of rules | Array | Yes | Details of rules: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | state | Is rule enabled or not | Boolean | Yes | | ruleDescription | Description of rule | String | No | | destObjList | Destination rule object | Object | No | | serviceObjList | Service rule object | Object | No | | action | Action to be performed if the traffic matches this rule, can be "PERMIT"/ "DROP" | String | Yes | | islogging | Is logging enabled for this rule | Boolean | Yes | Details of destObjList: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | RuleObjectId | Unique rule object id | String | Yes | | RuleObjectName | Rule object name | String | Yes | | RuleObjectType | Destination mode. Can be "IPV4_NETWORK" / "IPV4_ENDPOINT" / | String | Yes | Details of serviceObjList: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | RuleObjectId | Unique rule object id | String | Yes | | RuleObjectName | Rule object name | String | Yes | | RuleObjectType | Destination mode. Can be "SERVICE" | String | Yes | | ApplicationType | Application type. Can be "DEFAULT" / "CUSTOM" | String | Yes | ## Response Parameters Following fields are returned. | Field Name | Description | Data Type | | --- | --- | --- | | createdResourceId | Unique id of the created quarantine zone | Number | ## Example **Request** POST [https:///sdkapi/domain/0/quarantineZone](https://%3CNSM_IP%3E/sdkapi/domain/0/quarantineZone) **Payload** ``` {            "quarantineZoneName": "Quarantine1",            "quarantineZoneDescription": "Desc:Adds a new Quarantine Zone",            "visibleToChild": true,            "rules":            [                {                    "state": true,                    "ruleDescription": "create a new rule",                    "destObjList":                    [                    ],                    "serviceObjList":                    [                    ],                    "action": "PERMIT",                    "islogging": true                },                {                    "state": true,                    "ruleDescription": "create a new rule",                    "destObjList":                    [                        {                            "ruleObjectId": "12",                            "ruleObjectName": "The 172.16.0.0/12 network",                            "ruleObjectType": "IPV4_NETWORK"                        }                    ],                    "serviceObjList":                    [                        {                            "ruleObjectId": "130",                            "ruleObjectName": "ssl",                            "ruleObjectType": "SERVICE",                            "applicationType": "DEFAULT"                        }                    ],                    "action": "DROP",                    "islogging": false                }            ]        } ``` **Response** ``` {        "createdResourceId": 243    } ```   ## Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 500 | 1001 | Internal error - Failed to add NAZ definition. A NAZ with the same name already exists. | | 2 | 404 | 1105 | Invalid domain | | 3 | 404 | 1720 | Invalid rule object id/ rule object not visible to this domain | | 4 | 500 | 1001 | At least one rule is required. | | 5 | 500 | 1001 | Quarantine zone description: field should not be empty | | 6 | 500 | 1001 | Quarantine zone name: The maximum length for the field is 64 | | 7 | 500 | 1001 | Quarantine zone description: The maximum length for the field is 150 | | 8 | 500 | 1001 | Quarantine zone name: Field should not be empty | | 9 | 500 | 1001 | Name must contain only letters, numerical, spaces, commas, periods, hyphens or underscores |